Create Customer Address

POST/store/:storeCode/customers/me/addresses
publishable keyJWT

Create an address for the logged-in customer.

Path Parameters
storeCoderequiredstring

Store slug in the URL (first argument to every SDK store method).

Query Parameters
fieldsstring

Comma-separated fields to include. Prefix with `*` to expand a relation (e.g. `id,*variants`).

Request Body

Schema

Copy
HttpTypes.StoreCreateCustomerAddress

Properties

country_coderequiredstring

ISO-2 country code.

address_namestring

Address label.

first_namestring

First name.

last_namestring

Last name.

companystring

Company.

address_1string

Address line 1.

address_2string

Address line 2.

citystring

City.

provincestring

Province / state.

postal_codestring

Postal code.

phonestring

Phone.

is_default_shippingboolean

Set as default shipping.

is_default_billingboolean

Set as default billing.

Response

Status

200OK

Schema

Copy
HttpTypes.StoreCustomerResponse

Properties

customerrequiredStoreCustomer

Customer including the new address.